bftpd Multiple Command Remote Overflow

This script is Copyright (C) 2000-2011 Tenable Network Security, Inc.

Synopsis :

The remote FTP server has a remote buffer overflow vulnerability.

Description :

The version of bftpd running on the remote host is vulnerable to a
remote buffer overflow attack when issued very long arguments to the
SITE CHOWN command. A remote attacker could exploit this issue to
crash the FTP server, or possibly execute arbitrary code.

See also :

Solution :

Upgrade to bftpd version 1.0.24 or later.

Risk factor :

Critical / CVSS Base Score : 10.0
CVSS Temporal Score : 8.1
Public Exploit Available : false

Family: FTP

Nessus Plugin ID: 10579 (bftpd_chown.nasl)

Bugtraq ID: 2120

CVE ID: CVE-2001-0065